Get all ERC20 token mints

This guide describes how to retreive all of your ERC20 token mints.

This endpoint is used to retrieve all of your ERC20 token mint requests. You can also filter the results by to-from date, the status of mints, mintIds, contract address, and company ID.

Request Endpoint: reference

GET /api/v3/erc20/tokens/mints
ParameterParam TypeDescriptionData TypeMandatory
companyIdQueryQuery token mints linked to your company by specifying the company IDString❌
contractAddressQueryFilter results by contract addressString❌
destinationAddressQueryFilter results by the destination wallet address. Partial match also works.String❌
createdOnFromQueryFilter results by the start time of the interval in which the token mint request was createdString[date-time]❌
createdOnToQueryFilter results by the end time of the interval in which the token mint request was createdString[date-time]❌
mintIdsQueryFilter results by mintId. Multiple mintIds can be addedArray[string]❌
statusQueryFilter results by status of mints. Allowed values:
  • SUCCEEDED
  • PENDING
  • FAILED
String❌
pageQueryThe current page numberInteger❌
sizeQueryNumber of items per pageInteger❌
sortOnQueryThe name of the parameter that you want to sort onString❌
sortOrderQueryIndication to sort in ascending or descending orderString❌

Example Request:

GET /api/v3/erc20/tokens/mints

Response Body:

{
    "success": true,
    "result": [
        {
            "id": "ea9a149f-cdad-44d6-ab0e-55a8a7490429",
            "chain": "AVAC",
            "contractAddress": "0xb1c62e4dc8dfab73c0fe12ba1736ddb976a485c0",
            "createdOn": "2024-09-26T11:16:18.256375",
            "status": "SUCCEEDED",
            "transactionHash": "0x8a84df811b33f908cd31f6694ba621b9bef8e6617245970fad2d5627e8bdc1a2",
            "destination": {
                "address": "0x6296E346abb7Ecf72308c34de2F5a8888403a6b8",
                "amount": 450
            }
        },
        {
            "id": "7f78e6ed-d733-430c-83a4-5fc28032e667",
            "chain": "MATIC",
            "contractAddress": "0x1e857475040b732d5adf3f8b2e7cd712914cdd23",
            "createdOn": "2024-09-23T09:28:49.562087",
            "status": "SUCCEEDED",
            "transactionHash": "0x95dba6ba9c8bae1d3179486e00eeb778fb9d2435741226e4d98b59e38cf7e875",
            "destination": {
                "address": "0xf2b1cEB69E765469a80E8d4c8635B05269889fa7",
                "amount": 35
            }
        }
    ]
}

Did this page help you?